<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
 <html>
 <head>
 </head>
 <body>
 <table border="1">
  <xsl:call-template name="boucle">
    <xsl:with-param name="compteur" select="number(/test/debut)" />
  </xsl:call-template>
 </table>
 </body>
 </html>
</xsl:template>

<xsl:template name="boucle">
 <xsl:param name="compteur" />
 <xsl:choose>
  <xsl:when test="$compteur &lt;= number(/test/fin)">
    <tr>
      <td><xsl:value-of select="$compteur" /></td>
      <td><xsl:value-of select="$compteur * $compteur" /></td>
    </tr>
    <xsl:call-template name="boucle">
     <xsl:with-param name="compteur" select="$compteur + 1" />
    </xsl:call-template>
  </xsl:when>
  <xsl:otherwise>
   <xsl:call-template name="interruption" />
  </xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template name="interruption">
 <xsl:comment>boucle termine!</xsl:comment>
</xsl:template>

</xsl:stylesheet>

